curl --request POST \
--url https://api.synctera.com/v2/batches \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transaction_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"dry_run": true,
"tenant": "abcdef_ghijkl"
}
'import requests
url = "https://api.synctera.com/v2/batches"
payload = {
"transaction_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"dry_run": True,
"tenant": "abcdef_ghijkl"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transaction_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
dry_run: true,
tenant: 'abcdef_ghijkl'
})
};
fetch('https://api.synctera.com/v2/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"batches": [
{
"amount": 123,
"batch_payment_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batched_transfer_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"payment_rail": "<string>",
"payment_rail_transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant": "abcdef_ghijkl",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"dry_run": true,
"tenant": "abcdef_ghijkl"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Create Batch Payments
Create multiple batch payments
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Attributes of the Batch Payment
The IDs of the transfers that are part of the batch. These values can be modified by the client before the batch is in a terminal status.
Whether or not the batch should be created as a dry run. If the batch is created as a dry run, the batch will not be processed.
The id of the tenant containing the resource.
"abcdef_ghijkl"
Response
Successful creation of a Batch Payment
A collection of batch payments
Show child attributes
Show child attributes
Whether or not the batch should be created as a dry run. If the batch is created as a dry run, the batch will not be processed.
The id of the tenant containing the resource.
"abcdef_ghijkl"
Was this page helpful?

